> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/transactional/api/webhooks/list/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # Get the list of all webhooks POST https://mandrillapp.com/api/1.4/webhooks/list Content-Type: application/json Get the list of all webhooks defined for this account Reference: https://mailchimp.com/developer/transactional/api/webhooks/list ## Request ### Body (application/json) This endpoint expects a WebhooksListRequest. - `key` (string, required) — A valid Mandrill API key ## Response ### 200 Success - `list of Webhook` ## Errors ### 401 Unauthorized Error Invalid or missing API key. - `status` (string, required) — Status of the response, typically "error" - `code` (enum, required) — Numeric error code - Allowed values: `401` - `name` (enum, required) — Machine-friendly error name - Allowed values: `Invalid_Key` - `message` (string, required) — Human-readable error message ### 500 Internal Server Error An unexpected internal server error occurred. - `status` (string, required) — Status of the response, typically "error" - `code` (integer, required) — Numeric error code - `name` (string, required) — Machine-friendly error name - `message` (string, required) — Human-readable error message ## Types ### Webhook Webhook configuration for receiving event notifications. - `id` (integer, required) — Unique identifier for the webhook - `url` (string, required) — The URL where webhook events will be posted - `events` (list of string, required) — Array of event types that will trigger the webhook - `created_at` (string, required) — When the webhook was created (UTC YYYY-MM-DD HH:MM:SS.microseconds) - `batches_sent` (integer, required) — Number of batches sent to this webhook - `events_sent` (integer, required) — Total number of events sent to this webhook - `auth_key` (string, optional, nullable) — The key used for webhook authentication - `description` (string, optional, nullable) — Optional description of the webhook - `last_sent_at` (string, optional, nullable) — When the last event was sent to this webhook (UTC YYYY-MM-DD HH:MM:SS) - `last_error` (string, optional, nullable) — Last error message received when attempting to call the webhook ## Examples **Request** ```json { "key": "ONzNrsmbtNXoIKyfPmjnig" } ``` **Response** ```json [ { "id": 1, "url": "string", "events": [ "send", "delivered", "deferral", "hard_bounce", "soft_bounce", "open", "click", "spam", "unsub", "reject", "blacklist", "whitelist" ], "created_at": "string", "batches_sent": 1, "events_sent": 1, "auth_key": "gplJ8yWptFTqCoq5S1SHPA", "description": "string", "last_sent_at": "string", "last_error": "string" } ] ``` **SDK Code** ```python import requests url = "https://mandrillapp.com/api/1.4/webhooks/list" payload = { "key": "ONzNrsmbtNXoIKyfPmjnig" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://mandrillapp.com/api/1.4/webhooks/list'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"key":"ONzNrsmbtNXoIKyfPmjnig"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://mandrillapp.com/api/1.4/webhooks/list" payload := strings.NewReader("{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://mandrillapp.com/api/1.4/webhooks/list") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://mandrillapp.com/api/1.4/webhooks/list") .header("Content-Type", "application/json") .body("{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\"\n}") .asString(); ``` ```php request('POST', 'https://mandrillapp.com/api/1.4/webhooks/list', [ 'body' => '{ "key": "ONzNrsmbtNXoIKyfPmjnig" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://mandrillapp.com/api/1.4/webhooks/list"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["key": "ONzNrsmbtNXoIKyfPmjnig"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://mandrillapp.com/api/1.4/webhooks/list")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.